Bug 51922 - [Xamarin-Profiler]: Usability: Narrator: Windows: Narrator is not announcing the name of corresponding header column for the data grid item.
Summary: [Xamarin-Profiler]: Usability: Narrator: Windows: Narrator is not announcing ...
Status: CLOSED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Windows (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: 15.6
Assignee: Sergiy Velychko (Global Logic)
URL:
Depends on:
Blocks:
 
Reported: 2017-01-28 11:06 UTC by Ramya Sri Narasinga
Modified: 2017-11-24 08:49 UTC (History)
7 users (show)

See Also:
Tags: accessibility, wipro, xamarin-profiler, a11yusable
Is this bug a regression?: ---
Last known good build:


Attachments
Column header name is not being announced by the narrator (801.73 KB, application/x-zip-compressed)
2017-01-28 11:06 UTC, Ramya Sri Narasinga
Details

Description Ramya Sri Narasinga 2017-01-28 11:06:40 UTC
Created attachment 19604 [details]
Column header name is not being announced by the narrator

Testing Environment:


OS: 
      • Windows 10.
      • Version 1067.
      • Build 14393.607.
Visual Studio and Xamarin:
      • VS 2017 RC Enterprise.
      • Xamarin For VS 4.3.0.550.
      • Xamarin Profiler 1.0.4.18
NVDA:
       • Version: 2016.4 
Pre-Requisites: 
1. Install Microsoft Visual Studio 2017 (Enable .Net, Android Emulators, Mobile Development Features).
2. Launch Microsoft Visual Studio 2017 and Log in with valid VS details.
3. Map Xamarin Account to Visual Studio (Tools -> Xamarin Account -> provide Valid Credentials).
4. Create New project (Template C# -> Cross Platform -> Xamarin template).
5. Select Debug Mode -> ARM -> Select App Name.Droid -> Select Android Emulator.
6. Build the application (Application Should Build Successfully).
7. Turn Narrator ON. 

Repro Steps: 
"Scenario1:
1. Run Pre-requisite
2. Navigate to Top status bar of ""Visual Studio 2017 RC"" >Analyze> Xamarin Profiler> , then Press ENTER to launch Xamarin Profiler.
 (Xamarin Profiler is launched.)
3. ""General"" tab button-> All Instruments-> Allocations of ""Instrument Detail area""
4. Press Caps+ left/right arrow to navigate the data item of ""all allocations"" data grid."


Actual result:
"The narrator is not announcing the corresponding header column of the data grid item.
Example: For ""Count"" column data item, narrator is announcing only number(ie. 11281)
NVDA:
NVDA announces ""Grid View Cell row 1 Count Grid view header cell column2"""


Expected result:
"The narrator should announce the corresponding header column of the data grid item.
Example: For ""Count"" column data item, narrator should announce the corresponding column(ie. Count) along with the number(ie. 11281)
Suggested Fix: Here name property has been allotted some  value(ex. 11271), but this could be in value.value section.
In name property, we can write name of header column. "


User impact: 
If the corresponding column is not being announced, then  screen reader user won't get it exactly.
Comment 1 Sergiy Velychko (Global Logic) 2017-10-17 11:11:26 UTC
Fixed
Author: Sergiy Velychko
Commit: a8836b1887fdcf6f93daebbccc327b79a9c94782 (xamarin/profiler)

Note You need to log in before you can comment on or make changes to this bug.